VARKON Version 1.15 1997-10-24

> ## endp - Function

> Geometrical function
> Description
> Returns the end position of a line, arc or curve. For a line or an arc this is the same thing as using the on function with t=1, ie. on(ref,1). The main usage of the end function is to retrieve the end position of a curve, something which is much more difficult with the on function since it requires knowledge about the current number of segments in the curve. The end function always returns the end position of the last segment.
> Syntax
> endp(ref)

> REF | ref;

> Principal parameters

> ref | - Identity of line, arc or curve

> Optional parameters

> None. |

> Return value
> A VECTOR value equal to the end position of the specified entity.

VARKON Homepage | Index